Subject: Re: bug#52905: 29.0.50; "fixed-pitch" face doesn't respect the font in "default-frame-alist"

From: Dima Kogan <[email-masked]>
Date: Fri, 31 Dec 2021 00:24:53 -0800

Eli Zaretskii <[email-masked]> writes:

> Thanks, but I don't think we should fix this.  I see no problem to
> fix.  The fixed-pitch face is designed to have a distinct font.

OK. Can we then at least update the docs? This page:

  https://www.gnu.org/software/emacs/manual/html_node/emacs/Fonts.html

That page tells the user how to change the font, but don't say anything
about when that setting will be respected. The current behavior of emacs
completely ignoring this setting when picking the "fixed-pitch" and
"variable-pitch" fonts feels like it should be noted on that page.

Is using the default-frame-alist to set the default font still our
recommended best practice? Is that what you do?

Thanks